package edu.fsu.cs.BEATconnect.device;

/**
 * Abstraction point for different types of devices 
 * 
 * <p> Created: September 27, 2008
 * 
 *  @author <a href="mailto:brad.zdanivsky@gmail.com">Brad Zdanivsky</a>
 * 
 */
public interface ZephyrDevice {
	
	public void readDevice();
	
	public long getDelta();
	
	public long getElapsedTime();
	
	public String getDeviceName(); 
	
	public boolean connect();
	
	public boolean isOpen();
	
	public void close();
	
}
